commit:     fbcefa3e84142dec0d95f60095ca09f9f64034e7
Author:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 17 07:14:00 2015 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Tue Nov 17 07:14:48 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fbcefa3e

sys-apps/likwid: revbump to vn. 4.0.1-r1, sourced from gentoo bug

Patches, ack to user Libor Bukata, final patches by proxy maintainer
sourced from the gentoo bug used for initial version bump to likwid-4.0.1
likwid-4.0.1-access-daemon.patch added to reset perms and set libdir
correctly at install phase, rm broken 4.0.1 ebuild

Gentoo bug: # 558402

Package-Manager: portage-2.2.24

 sys-apps/likwid/files/likwid-4.0.1-access-daemon.patch     | 11 +++++++++++
 .../likwid/{likwid-4.0.1.ebuild => likwid-4.0.1-r1.ebuild} | 14 +++++++++++++-
 2 files changed, 24 insertions(+), 1 deletion(-)

diff --git a/sys-apps/likwid/files/likwid-4.0.1-access-daemon.patch 
b/sys-apps/likwid/files/likwid-4.0.1-access-daemon.patch
new file mode 100644
index 0000000..2652f24
--- /dev/null
+++ b/sys-apps/likwid/files/likwid-4.0.1-access-daemon.patch
@@ -0,0 +1,11 @@
+--- src/configuration.c.orig   2015-11-14 09:10:58.283075033 +0100
++++ src/configuration.c        2015-11-14 09:11:14.898074670 +0100
+@@ -68,7 +68,7 @@
+ use_hardcoded:
+     ret = sprintf(filename,"%s", TOSTRING(ACCESSDAEMON));
+     filename[ret] = '\0';
+-    if (!access(filename, R_OK))
++    if (!access(filename, X_OK))
+     {
+         config.daemonPath = (char*)malloc((strlen(filename)+1) * 
sizeof(char));
+         strcpy(config.daemonPath, filename);

diff --git a/sys-apps/likwid/likwid-4.0.1.ebuild 
b/sys-apps/likwid/likwid-4.0.1-r1.ebuild
similarity index 80%
rename from sys-apps/likwid/likwid-4.0.1.ebuild
rename to sys-apps/likwid/likwid-4.0.1-r1.ebuild
index 0c25cb3..11e04c2 100644
--- a/sys-apps/likwid/likwid-4.0.1.ebuild
+++ b/sys-apps/likwid/likwid-4.0.1-r1.ebuild
@@ -41,11 +41,15 @@ src_prepare() {
        epatch "${FILESDIR}"/${P}-Makefile.patch \
                        "${FILESDIR}"/${P}-fix-gnustack.patch \
                        "${FILESDIR}"/${P}-lua-makefile.patch \
-                       "${FILESDIR}"/${P}-config.mk.patch
+                       "${FILESDIR}"/${P}-config.mk.patch \
+                       "${FILESDIR}"/${P}-access-daemon.patch
 
        # Set PREFIX path to include sandbox path
        sed -e 's:^PREFIX = .*:PREFIX = '${D}'/usr:' -i config.mk || die
 
+       # Set the path to library directory.
+       sed -e 's:$(get_libdir):'$(get_libdir)':' -i config.mk || die "Cannot 
set library path!"
+
        # Set correct LDFLAGS
        sed -e '/LIBS/aSHARED_LFLAGS += -Wl,-soname,$@' \
                -i make/include_GCC.mk || die
@@ -86,3 +90,11 @@ src_install () {
 
        doman doc/*.1
 }
+
+pkg_postinst() {
+       fcaps_pkg_postinst
+       ewarn "To enable users to access performance counters it is necessary 
to"
+       ewarn "change the access permissions to /dev/cpu/msr[0]* devices."
+       ewarn "It can be accomplished by adding the following line to file"
+       ewarn "/etc/udev/rules.d/99-myrules.rules: KERNEL==\"msr[0-9]*\" 
MODE=\"0666\""
+}

Reply via email to